div {
  border: black solid 2px;
  margin: 20px;
  padding: 5px;
  width: 500px;
}

#container {
  border: unset;
  display: flex;
  align-items: center;
  width: 100%;
  flex-direction: column;

  #div1 {
    text-align: center;
  }

  #div2 {
    text-decoration: underline wavy red;
  }

  #div3 {
    text-transform: capitalize;
  }

  #div4 {
    direction: rtl;
  }

  #div5 {
    line-height: 30px;
  }

  #div6 {
    text-indent: 50px;
  }

  #div6 {
    letter-spacing: 5px;
  }

  #div7 {
    white-space: pre;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}